Subject: Re: 2.6.13 ati (ibook) frambuffer problem

From: Joerg Dorchain <[email-masked]>
Date: Sun, 16 Oct 2005 10:17:59 +0200

On Sat, Oct 15, 2005 at 07:58:25AM +1000, Benjamin Herrenschmidt wrote:
> 
> This looks like a bug that was introduced by linus in 2.6.13 and that I
> _think_ should be fixed in the stable series, so if you get 2.6.13.x (x
> = latest stable release) it should work.

2.6.13.4 does not fix it and(, as far as I skimmed it,) contains no
changes to the ati framebuffer code.
> 
> Usually, to debug those crashes, I'm adding a hack to kernel/printk.c to
> call btext_drawstring() (with some test to make sure to do that not too
> early, typically only after setup_arch has been called).

Thanks,

Joerg